apply plugin: 'com.android.application'
apply plugin: 'androidx.navigation.safeargs'

android {
    compileSdkVersion 28
    defaultConfig {
        applicationId 'com.example.android.basicnavigation'
        minSdkVersion 21
        targetSdkVersion 28
        versionCode 1
        versionName "1.0"
        testInstrumentationRunner "androidx.test.runner.AndroidJUnitRunner"
    }

    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'
        }
        debug {
            minifyEnabled false
            testCoverageEnabled false
        }
    }
    dataBinding {
        enabled = true
    }
    productFlavors {
    }

    lintOptions {
        abortOnError false
    }

}

dependencies {

    implementation "com.google.android.material:material:1.2.0-alpha05"
    implementation "androidx.appcompat:appcompat:1.2.0-alpha03"
    implementation "androidx.recyclerview:recyclerview:1.2.0-alpha01"

    implementation "androidx.constraintlayout:constraintlayout:2.0.0-beta4"

    //Navigation
    implementation "androidx.navigation:navigation-fragment:2.2.1"
    implementation "androidx.navigation:navigation-ui:2.2.1"

}
